import { I18nBundle } from 'pretur.i18n';
import { Reducible, Action } from 'pretur.redux';
import { PageInstantiationData, PageDescriptor } from './pages';
export declare class PageInstance<TProps, TState, TReducerBuilderData> implements Reducible {
    private params;
    private currentState;
    constructor(descriptor: PageDescriptor<TProps, TState, TReducerBuilderData>, instantiationData: PageInstantiationData<TReducerBuilderData>);
    mutex: string;
    path: string;
    title: I18nBundle<string, any>;
    state: TState;
    descriptor: PageDescriptor<TProps, TState, TReducerBuilderData>;
    instantiationData: PageInstantiationData<TReducerBuilderData>;
    reduce(action: Action<any, any>): this;
}
