"use strict";
var React = require('react');
function Navigate(_a) {
    var navigator = _a.navigator;
    if (!navigator.active) {
        return null;
    }
    var Component = navigator.active.descriptor.component;
    return (React.createElement(Component, {mutex: navigator.active.mutex, path: navigator.active.path, state: navigator.active.state, title: navigator.active.title, navigator: navigator}));
}
exports.Navigate = Navigate;
