"use strict";
var ls = require('local-storage');
function save(prefix, data) {
    ls.set(prefix + "_PAGES", data);
}
exports.save = save;
function load(prefix) {
    return ls.get(prefix + "_PAGES") || [];
}
exports.load = load;
function saveActivePage(prefix, mutex) {
    ls.set(prefix + "_ACTIVE_PAGE", mutex);
}
exports.saveActivePage = saveActivePage;
function loadActivePage(prefix) {
    return ls.get(prefix + "_ACTIVE_PAGE") || null;
}
exports.loadActivePage = loadActivePage;
function clear(prefix) {
    ls.remove(prefix + "_PAGES");
    ls.remove(prefix + "_ACTIVE_PAGE");
}
exports.clear = clear;
